export class AppAction {
  name: string;
  paramscmd: string;
  client: {cmd: string[], redir: string};
  states: string[]; // list of stats such as 'RUNNING' in which the action is valid. null||undefined if its always valid
}
export class Strudelapp {
  url: string; // A url used to retrieve extra config options. May be null
  name: string; // Human readable name
  startscript: string; // batch script ... should NOT include resource directives
                       // resource directives like #SBATCH belong in the batchinterface
  actions: AppAction[];
  localbind: boolean; // does the application bind to a port on the localhost
                      // interface or on all interfaces. This behaviour determins
                      /// how we create tunnels
  applist: Strudelapp[] = null;
}

export class StrudelappInstance {
  port: number;
  password: string;
}
